FROM mcr.microsoft.com/dotnet/sdk:5.0 as build-env
WORKDIR /source
COPY . .
RUN dotnet restore --configfile nuget.config
RUN dotnet build
RUN dotnet publish -o /publish --configuration Release;

FROM mcr.microsoft.com/dotnet/sdk:5.0
COPY . .
RUN DEBIAN_FRONTEND=noninteractive apt-get update && apt-get install -y --no-install-recommends apt-utils
RUN DEBIAN_FRONTEND=noninteractive apt-get install -y fontconfig
RUN DEBIAN_FRONTEND=noninteractive apt-get install -y --allow-unauthenticated libc6-dev
RUN DEBIAN_FRONTEND=noninteractive apt-get install -y --allow-unauthenticated libgdiplus
RUN DEBIAN_FRONTEND=noninteractive apt-get install -y --allow-unauthenticated libx11-dev
RUN DEBIAN_FRONTEND=noninteractive  rm -rf /var/lib/apt/lists/*
RUN mkdir -p /usr/local/share/fonts/fonts/sarabun
COPY Fonts/* /usr/local/share/fonts/sarabun/
RUN chmod 644 /usr/local/share/fonts/sarabun/*
RUN fc-cache -fv
WORKDIR /app
COPY --from=build-env /publish .
ENV ASPNETCORE_URLS http://*:8080
ENTRYPOINT ["dotnet", "rmutr-report.dll"]
